# -*- coding: utf-8 -*-

from django.db        import models
 

class BaseModel ( models.Model ):
    class Meta:
        abstract = True

# Create your models here.
class BasicCadaster ( BaseModel ):
    name = models.CharField('Nome',max_length=30)
    class Meta:
        abstract = True
        ordering = ['name']
    def __unicode__(self):
        return self.name 
		
class Produto(BasicCadaster):
    pass

class ProdutoDetalhe(Produto):
    tamanho = models.CharField(max_length=50)
    detalhe1 = models.CharField(max_length=50)
    detalhe2 = models.CharField(max_length=50)

class Secao(BasicCadaster):
    produto = models.ForeignKey(Produto)

class SubSecao(BasicCadaster):
    secao = models.ForeignKey(Secao)

class Preco(BaseModel):
    valor    = models.DecimalField(max_digits=9, decimal_places=2)
    produto  = models.ForeignKey(Produto , blank=True, null=True )
    secao    = models.ForeignKey(Secao   , blank=True, null=True )
    subsecao = models.ForeignKey(SubSecao, blank=True, null=True )

class Poll(models.Model):
    question = models.CharField(max_length=200)
    pub_date = models.DateTimeField()

class Choice(models.Model):
    poll = models.ForeignKey(Poll)
    choice = models.CharField(max_length=200)
    votes = models.IntegerField(default=0)