# -*- coding: utf-8 -*-

from django.conf.urls.defaults import patterns
from django.views.generic import list_detail, create_update
from test.models import *
from test.forms import PrecoForm, ProdutoPrincipalForm
from django.http import HttpResponseRedirect


produto_list = {
    'queryset'     : Produto.objects.all(),
    'template_name': 'test_list.html',
}
produto_form = {
    "model"             : Produto,
    'post_save_redirect': '../',
    'login_required'    : False,
    'template_name'     : 'test_form.html',
    'form_class'        : ProdutoPrincipalForm,
}
produto_del = {
    "model"               : Produto,
    'post_delete_redirect': 'ok.html',
    'login_required'      : False,
}

secao_list = {
    "queryset" : Secao.objects.all(),
    'template_name': 'test_list.html',
}
secao_form = {
    "model"             : Secao,
    'post_save_redirect': '../',
    'login_required'    : False,
    'template_name'     : 'test_form.html',
}
secao_del = {
    "model"               : Secao,
    'post_delete_redirect': '../',
    'login_required'      : False,
}

subsecao_list = {
    "queryset" : SubSecao.objects.all(),
    'template_name': 'test_list.html',
}
subsecao_form = {
    "model"             : SubSecao,
    'post_save_redirect': '../',
    'login_required'    : False,
    'template_name'     : 'test_form.html',
}
subsecao_del = {
    "model"               : SubSecao,
    'post_delete_redirect': '../',
    'login_required'      : False,
}

preco_list = {
    "queryset" : Preco.objects.all(),
    'template_name': 'test_list.html',
}
preco_form = {
    'post_save_redirect': '../',
    'login_required'    : False,
    'template_name'     : 'test_form.html',
    'form_class'        : PrecoForm
}
preco_del = {
    "model"               : Preco,
    'post_delete_redirect': '../',
    'login_required'      : False
}

ajax_test = {
    'queryset'     : Produto.objects.all(),
    'template_name': 'priceadvertisement.html',
}

#(request, model, post_delete_redirect, object_id, slug, slug_field, template_name, template_loader, extra_context, login_required, context_processors, template_object_name)

urlpatterns = patterns('',

#    (r'^preco/add/$', 'test.views.preco'),
#    (r'^preco/(?P<preco_id>\d+)/?$', 'test.views.preco'),

	(r'^$', 'test.views.index' ),

    (r'^produto/$', list_detail.object_list, produto_list),
    (r'^produto/add/$', create_update.create_object, produto_form),
    (r'^produto/(?P<object_id>\d+)/?$', create_update.update_object, produto_form),
    (r'^produto/(?P<object_id>\d+)/delete/?$', create_update.delete_object, produto_del),

    (r'^secao/$', list_detail.object_list, secao_list),
    (r'^secao/add/$', create_update.create_object, secao_form),
    (r'^secao/(?P<object_id>\d+)/?$', create_update.update_object, secao_form),
    (r'^secao/(?P<object_id>\d+)/delete/?$', create_update.delete_object, secao_del),

    (r'^subsecao/$', list_detail.object_list, subsecao_list),
    (r'^subsecao/add/$', create_update.create_object, subsecao_form),
    (r'^subsecao/(?P<object_id>\d+)/?$', create_update.update_object, subsecao_form),
    (r'^subsecao/(?P<object_id>\d+)/delete/?$', create_update.delete_object, subsecao_del),

    (r'^preco/$', list_detail.object_list, preco_list),
    (r'^preco/add/$', create_update.create_object, preco_form),
    (r'^preco/(?P<object_id>\d+)/?$', create_update.update_object, preco_form),
    (r'^preco/(?P<object_id>\d+)/delete/?$', create_update.delete_object, preco_del),

    (r'^secaoporproduto/(?P<produto_id>\d+)/$', 'test.views.SecaoPorProduto'  ),
    (r'^subsecaoporsecao/(?P<secao_id>\d+)/$', 'test.views.SubSecaoPorSecao'  ),

    #(r'^poll/add/$', 'test.views.add_poll'  ),

    #(r'^ajaxtest$', list_detail.object_list, ajax_test  ),

)




#model,
#template_name,
#template_loader,
#extra_context,
#post_save_redirect,
#login_required,
#context_processors,
#form_class

