# -*- coding: utf-8 -*-

from test.models import Secao, SubSecao, Preco
from test.forms import PrecoForm
from django.shortcuts import HttpResponse
from django.http import HttpResponseRedirect
from django.shortcuts import render_to_response
from ModelChoiceFieldAjax import dojoComboData


if __name__ == '__main__':
    import doctest
    doctest.testmod(verbose=1)


def index(request):
	return render_to_response('test.html')

def SecaoPorProduto(request, produto_id):
    qs = Secao.objects.filter(produto__id=produto_id)
    return HttpResponse(dojoComboData('id', 'name', qs, 'value'), mimetype='text/plain')

def SubSecaoPorSecao(request, secao_id):
    qs = SubSecao.objects.filter(secao__id=secao_id)
    return HttpResponse(dojoComboData('id', 'name', qs, 'value'), mimetype='text/plain')

#def add_poll(request):
#    if request.method == "POST":
#        pform = PollForm(request.POST, instance=Poll())
#        cforms = [ChoiceForm(request.POST, prefix=str(x), instance=Choice()) for x in range(0,3)]
#        if pform.is_valid() and all([cf.is_valid() for cf in cforms]):
#            new_poll = pform.save()
#            for cf in cforms:
#                new_choice = cf.save(commit=False)
#                new_choice.poll = new_poll
#                new_choice.save()
#            return HttpResponseRedirect('/polls/add/')
#    else:
#        pform = PollForm(instance=Poll())
#        cforms = [ChoiceForm(prefix=str(x), instance=Choice()) for x in range(0,3)]
#    return render_to_response('add_poll.html', {'poll_form': pform, 'choice_forms': cforms})

def preco(request, preco_id = None):

    prc = None

    if preco_id:
        prc = Preco.objects.get(pk=preco_id)

    if request.method == 'POST':

        frmPrc = PrecoForm ( request.POST, instance=prc )

        if frmPrc.is_valid():
            frmPrc.save()

    else:

        frmPrc = PrecoForm(instance=prc)

    return render_to_response('test_form.html', {'form':frmPrc,} )
	
	
